/********************************************
 * UTIA AV CR, v.v.i
 * Signal Processing Department
 * Pod Vodarenskou vezi 4
 * 182 08 Prague
 * Czech Republic
 * web: http://zs.utia.cas.cz
 *
 * Filename: main.c
 * Date: 02.01.2016
 * Authors:
 * Lukas Kohout <kohoutl@utia.cas.cz>
 * Zdenek Pohl <xpohl@utia.cas.cz>
 * Jiri Kadlec <kadlec@utia.cas.cz>
 * Description:
 *
 * Changelog:
 * Date: 02.01.2016 two parallel HW paths
 *
 *
 ********************************************/

#ifndef _FMC_IMAGEON_IIC_HEADER_FILE_
#define _FMC_IMAGEON_IIC_HEADER_FILE_

#include "xparameters.h"

// #include "fmc_imageon_iic.h"
#include "fmc_iic.h"


#define ADV7611_REG_VS_INF_PB_0_28    0x6f


#define ADV7611_CABLE_DET_A_RAW       0x01    //ADV7611_REG_VS_INF_PB_0_28[0]



int fmc_iic_read_reg(fmc_iic_t *pIIC);
int fmc_iic_write_reg_readback(fmc_iic_t *pIIC);
void fmc_iic_read_regs(fmc_iic_t *pIIC);

int fmc_imageon_hdmii_cable_detect(fmc_imageon_t *pContext);

#endif /* _FMC_IMAGEON_IIC_HEADER_FILE_ */
